#include <string.h>
#include "doslibm.h"
#include "defines.h"

int _fn8cmp(unchar *src,unchar *des,int mode)
{
_NAMESTBUF nbs,nbd;
int (*cmp)();
	cmp=(mode? memcmpi:memcmp);
	NAMESTS(src,&nbs);
	NAMESTS(des,&nbd);
	if (cmp(nbs.name1,nbd.name1,8)==0) {
		if (cmp(nbs.ext,nbd.ext,3)==0) return(0);
	}
	// 不一致
	return(1);
}

int fn8cmp(unchar *src,unchar *des)
// ファイル名部分先頭８文字＋拡張子のみの比較（大文字小文字区別有り）
{
	return(_fn8cmp(src,des,0));
}

int fn8cmpi(unchar *src,unchar *des)
// ファイル名部分先頭８文字＋拡張子のみの比較（大文字小文字区別無し）
{
	return(_fn8cmp(src,des,1));
}
